using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace DodoSSH.Client.Storage.Migrations
{
    /// <inheritdoc />
    public partial class AddVaultHidden : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "hidden",
                table: "vault",
                type: "INTEGER",
                nullable: false,
                defaultValue: false);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "hidden",
                table: "vault");
        }
    }
}
